# alch\_network\_value\_{ $optionID }

Dynamic filter `alch_network_value_{ $optionID }` is similar to [`alch_value_{ $optionID }`](/filters/alch_value_option_id.md). It is used to filter the value for a given [field](/fields.md) before returning it from [`alch_get_network_option`](/functions/alch_get_network_option.md). It isn't applied to the `$default` parameter if the field has no value stored.

The `$optionID` should match one of the IDs in the [configuration object](https://github.com/alchemyoptions/alchemy-options-docs/tree/8b2bf3bd7ce84655c638f5207b00fe1902d575b8/filters/Configuration.md).

## Example

Say you want to tweak the [URL field](/fields/url.md) with the ID of `my-url-field` to convert the `http` protocol to `https`.

```php
//somewhere in functions.php

function tweak_network_url_field( $value ) {
    // do not forget to pass it further
    return str_replace( "http://", "https://", $value );
}

add_filter( 'alch_network_value_my-url-field', 'tweak_network_url_field' );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alchemy-options.com/filters/alch_network_value_option_id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
